## prometheus-mysqld-exporter 0.9.0+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX              ?= $(shell pwd)
BIN_DIR             ?= $(shell pwd)
DOCKER_IMAGE_NAME   ?= mysqld-exporter
DOCKER_IMAGE_TAG    ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))


all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short -race $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/prometheus/promu


.PHONY: all style format build test vet tarball docker promu

## prometheus-mysqld-exporter 0.8.1+ds

=== debian/changelog ===
prometheus-mysqld-exporter (0.8.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #815560)
  * Unvendorize all dependencies

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 10 May 2016 16:37:31 +0100

=== debian/control ===
Source: prometheus-mysqld-exporter
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go, dh-systemd (>= 1.5),
 golang-github-beorn7-perks-dev,
 golang-github-data-dog-go-sqlmock-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-jtolds-gls-dev,
 golang-github-prometheus-common-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-smartystreets-assertions-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-gopkg-ini.v1-dev,
 golang-goprotobuf-dev,
 golang-prometheus-client-dev,
 golang-protobuf-extensions-dev
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-mysqld-exporter.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mysqld-exporter.git/
Homepage: https://github.com/prometheus/mysqld_exporter
XS-Go-Import-Path: github.com/prometheus/mysqld_exporter

Package: prometheus-mysqld-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon
Built-Using: ${misc:Built-Using}
Suggests: mysql-server | mariadb-server
Description: Prometheus exporter for MySQL server.
 Prometheus exporter for MySQL server metrics. Supported MySQL versions: 5.1
 and up, however not all collection methods are supported on MySQL < 5.6.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/mysqld_exporter

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
        'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')

%:
	dh $@ --buildsystem=golang --with=golang,systemd

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/$(DEBPKGNAME)/usr/share/gocode
	# Rename the binary to match the debian package.
	mv -v debian/$(DEBPKGNAME)/usr/bin/mysqld_exporter \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus-mysqld-exporter 0.9.0+ds

=== debian/changelog ===
prometheus-mysqld-exporter (0.9.0+ds-3) unstable; urgency=medium

  * debian/patches/fix_test_int_overflow.patch: Fix tests for 32bit archs

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 21 Nov 2016 00:48:31 +0000

prometheus-mysqld-exporter (0.9.0+ds-2) unstable; urgency=medium

  * Set BUILDFLAGS to report branch/version/revision in
  mysqld_exporter_build_info metric

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 10 Oct 2016 12:42:38 +0100

prometheus-mysqld-exporter (0.9.0+ds-1) unstable; urgency=medium

  * New upstream release
    + BREAKING CHANGES: InnoDB buffer pool page stats have been renamed/fixed
      to better support aggregations
      https://github.com/prometheus/mysqld_exporter/pull/130

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 05 Oct 2016 17:04:04 +0100

prometheus-mysqld-exporter (0.8.1+ds-2) UNRELEASED; urgency=medium

  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 29 Jun 2016 20:55:56 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  golang-prometheus-client-dev,
  golang-protobuf-extensions-dev
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-mysqld-exporter.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-mysqld-exporter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mysqld-exporter.git/
 Homepage: https://github.com/prometheus/mysqld_exporter
 XS-Go-Import-Path: github.com/prometheus/mysqld_exporter

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,28 @@
 
 export DH_VERBOSE=1
 export DH_GOPKG := github.com/prometheus/mysqld_exporter
+
+METAPKG := github.com/prometheus/common
 
 DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
 DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
 BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
         'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
+REV        := $(DEBVERS)
+BRANCH     := debian/sid
+USER       := pkg-go-maintainers@lists.alioth.debian.org
+HOSTNAME   := debian
+BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
+GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
+BUILDFLAGS := -ldflags \
+  " -X $(METAPKG)/version.Version=$(VERSION)\
+    -X $(METAPKG)/version.Revision=$(REV)\
+    -X $(METAPKG)/version.Branch=$(BRANCH)\
+    -X $(METAPKG)/version.BuildUser=$(USER)\
+    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
+    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
+
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd

## prometheus-mysqld-exporter 0.10.0+git20180201.a71f4bb+ds

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO    := GO15VENDOREXPERIMENT=1 go
-PROMU := $(GOPATH)/bin/promu
-pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)
+GO           := go
+FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
+PROMU        := $(FIRST_GOPATH)/bin/promu
+pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX              ?= $(shell pwd)
 BIN_DIR             ?= $(shell pwd)
@@ -21,15 +22,19 @@
 DOCKER_IMAGE_TAG    ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
 
 
-all: format build test
+all: format build test-short
 
 style:
 	@echo ">> checking code style"
 	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
 
+test-short:
+	@echo ">> running short tests"
+	@$(GO) test -short -race $(pkgs)
+
 test:
 	@echo ">> running tests"
-	@$(GO) test -short -race $(pkgs)
+	@$(GO) test -race $(pkgs)
 
 format:
 	@echo ">> formatting code"

=== debian/changelog ===
prometheus-mysqld-exporter (0.10.0+git20180201.a71f4bb+ds-2) unstable; urgency=high

  * Use non-recursive chown.
  * Fix FTBFS in 32bits arches. Closes: #893051
  * debian/control: Add myself to Uploaders.

 -- Martín Ferrari <tincho@debian.org>  Tue, 27 Mar 2018 00:49:40 +0000

prometheus-mysqld-exporter (0.10.0+git20180201.a71f4bb+ds-1) unstable; urgency=high

  * Team upload.

  [ Filippo Giunchedi ]
  * Suggest default-mysql-server | virtual-mysql-server (Closes: #848481)

  [ Martín Ferrari ]
  * debian/control: Update package name for client-golang.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Fix Vcs-* fields.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * debian/rules: Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
    and simplify.
  * New upstream release/git snapshot. Closes: #884542.
  * debian/control: Require latest go-sqlmock, as tests fail otherwise.
  * debian/rules: Fix dh_auto_install parameters.
  * debian/control: Automated cme fixes.
  * debian/control: Update debhelper compat.
  * debian/copyright: Add Files-Excluded to match repackaging.
  * Remove unneeded lintian override.
  * debian/doc: Refresh.

 -- Martín Ferrari <tincho@debian.org>  Thu, 15 Mar 2018 03:07:26 +0000

=== debian/control ===
Source: prometheus-mysqld-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-data-dog-go-sqlmock-dev (>= 1.3.0),
               golang-github-go-sql-driver-mysql-dev,
               golang-github-jtolds-gls-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-smartystreets-assertions-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-gopkg-ini.v1-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mysqld-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-mysqld-exporter.git
Homepage: https://github.com/prometheus/mysqld_exporter
XS-Go-Import-Path: github.com/prometheus/mysqld_exporter

Package: prometheus-mysqld-exporter
Architecture: any
Depends: daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: default-mysql-server | virtual-mysql-server,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for MySQL server.
 Prometheus exporter for MySQL server metrics. Supported MySQL versions: 5.1
 and up, however not all collection methods are supported on MySQL < 5.6.

## prometheus-mysqld-exporter 0.11.0+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: vet

include Makefile.common

STATICCHECK_IGNORE = \
  github.com/prometheus/mysqld_exporter/mysqld_exporter.go:SA1019

DOCKER_IMAGE_NAME ?= mysqld-exporter

test-docker:
	@echo ">> testing docker image"
	./test_image.sh "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" 9104

.PHONY: test-docker

=== debian/changelog ===
prometheus-mysqld-exporter (0.11.0+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release.
  * Better document data source configuration.
  * debian/init: always export DATA_SOURCE_NAME and use --inherit in
    daemon call.
  * debian/control: Update Standards-Version with no changes.
  * Stop cme messing with Files-Excluded.
  * Remove patch already applied upstream.
  * debian/control: Add new dependency.
  * Patch test to avoid depending on a new version of go-convey.
  * debian/default: Update flag description.

 -- Martín Ferrari <tincho@debian.org>  Tue, 16 Oct 2018 00:53:55 +0000

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,16 @@
                golang-github-jtolds-gls-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
+               golang-github-satori-go.uuid-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-smartystreets-assertions-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-ini.v1-dev,
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mysqld-exporter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-mysqld-exporter.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter
 XS-Go-Import-Path: github.com/prometheus/mysqld_exporter

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source
	# Rename the binary to match the debian package.
	mv -v debian/$(DEB_SOURCE)/usr/bin/mysqld_exporter \
            debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-mysqld-exporter-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/prometheus/mysqld_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-mysqld-exporter 0.12.1+ds

=== debian/changelog ===
prometheus-mysqld-exporter (0.12.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Switch to debian/watch format version 4
  * Indent debian/watch file
  * Update Maintainer and version.BuildUser with new team address
  * Add new debian/upstream/metadata file
  * Remove trailing slashes and globs from Files-Excluded field
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:34:30 +0100

prometheus-mysqld-exporter (0.12.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on adduser
  * Change systemd service Restart directive from always to on-failure
  * Remove error suppression from postinst
  * Only change conffile metadata if it exists
  * Run adduser unconditionally
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Use '' instead of `' in text
  * Switch from /var/run to /run
  * Switch to debhelper-compat 13
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Remove all rotated logs on purge
  * Remove $syslog dependency from init script
  * Use $() instead of `` in init script
  * Rewrite init script using start-stop-daemon
  * Move note about license location on Debian systems into a Comment field
  * Add a logrotate fragment file
  * Update copyright claims
  * Update gitignore entries
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Do not enable DH_VERBOSE by default

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 04:01:41 +0100

prometheus-mysqld-exporter (0.12.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #952291
  * Update compat and Standards-Version with no changes.
  * debian/default: Update, reformat, and reorganise. Closes: #953652
  * Update and unify packaging.
  * Patch test that requires a running mysql server.
  * Document how to use UNIX domain sockets for auth. Closes: #953040

 -- Martina Ferrari <tina@debian.org>  Sat, 16 May 2020 23:26:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: prometheus-mysqld-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
-           Martín Ferrari <tincho@debian.org>,
+           Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
@@ -21,15 +21,17 @@
                golang-gopkg-ini.v1-dev,
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter
 XS-Go-Import-Path: github.com/prometheus/mysqld_exporter
+Rules-Requires-Root: no
 
 Package: prometheus-mysqld-exporter
 Architecture: any
-Depends: daemon,
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: default-mysql-server | virtual-mysql-server,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR := build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for MySQL/MariaDB"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/mysqld_exporter $(BUILDDIR)/bin/$(BINNAME)
	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1

override_dh_auto_install:
	dh_install $(BUILDDIR)/bin/$(BINNAME) usr/bin
	dh_installman $(BUILDDIR)/$(BINNAME).1

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-mysqld-exporter-$1.tar.gz/,\
      dversionmangle=s/\+ds\d*$//" \
  https://github.com/prometheus/mysqld_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-mysqld-exporter 0.13.0

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Needs to be defined before including Makefile.common to auto-generate targets
+DOCKER_ARCHS ?= amd64 armv7 arm64
+
 all: vet
 
 include Makefile.common
 
-STATICCHECK_IGNORE = \
-  github.com/prometheus/mysqld_exporter/mysqld_exporter.go:SA1019
+STATICCHECK_IGNORE =
 
 DOCKER_IMAGE_NAME ?= mysqld-exporter

=== debian/changelog ===
prometheus-mysqld-exporter (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update gitlab-ci.yml from its new refactored template.
  * Update gbp.conf following latest Go Team workflow.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Update debian/watch file.
  * Replace generic Prometheus URL in unit file with man page reference.
  * Do not install development documents.
  * Add Repository-Browse upstream metadata field.
  * Refresh and remove patches for new upstream release.
  * Update dependencies for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 30 Nov 2021 22:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,20 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
-               golang-github-beorn7-perks-dev,
                golang-github-data-dog-go-sqlmock-dev (>= 1.3.0),
+               golang-github-go-kit-kit-dev,
                golang-github-go-sql-driver-mysql-dev,
-               golang-github-jtolds-gls-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-github-satori-go.uuid-dev,
-               golang-github-sirupsen-logrus-dev,
-               golang-github-smartystreets-assertions-dev,
                golang-github-smartystreets-goconvey-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-ini.v1-dev,
-               golang-goprotobuf-dev,
-               golang-protobuf-extensions-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus exporter for MySQL/MariaDB"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/mysqld_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-mysqld-exporter 0.14.0

=== debian/changelog ===
prometheus-mysqld-exporter (0.14.0-3) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Add new 03-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0

  [ Guillem Jover ]
  * Remove --help output from default file
  * Replace auth_socket with unix_socket in default file comment header
    (Closes: #1016879)
  * Switch to Standards-Version 4.6.1 (no changes needed)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 17 Dec 2022 03:14:55 +0000

prometheus-mysqld-exporter (0.14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 20:47:55 +0000

prometheus-mysqld-exporter (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Improve package Description.
  * Remove unused Files-Excluded.
  * Update default file for new upstream release.
  * Move instead of copy when renaming the daemon in debian/rules.
  * Update Build-Depends for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Mar 2022 01:38:58 +0100

=== debian/control ===
Source: prometheus-mysqld-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-data-dog-go-sqlmock-dev,
               golang-github-go-kit-log-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-google-uuid-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
               golang-github-smartystreets-goconvey-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-ini.v1-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
Homepage: https://github.com/prometheus/mysqld_exporter
XS-Go-Import-Path: github.com/prometheus/mysqld_exporter
Rules-Requires-Root: no

Package: prometheus-mysqld-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: default-mysql-server | virtual-mysql-server,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for MySQL server
 Prometheus exporter for MySQL server metrics.
 .
 Supported MySQL versions: 5.1 and up, however not all collection methods
 are supported on MySQL < 5.6.

## prometheus-mysqld-exporter 0.15.0

=== debian/changelog ===
prometheus-mysqld-exporter (0.15.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:35:42 +1000

prometheus-mysqld-exporter (0.15.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:09:55 +1000

prometheus-mysqld-exporter (0.15.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:18:20 +0530

prometheus-mysqld-exporter (0.15.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:42 +1200

prometheus-mysqld-exporter (0.15.0-2) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * d/rules: fix override_dh_auto_install.
    Let dh_auto_install handle the installation of binaries (omitting .go
    source). Add debian/manpages, which is more easily machine-readable than
    parsing debian/rules.

  [ Shengjing Zhu ]
  * Add golang-github-google-go-cmp-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Jul 2023 19:28:41 +0800

prometheus-mysqld-exporter (0.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop obsolete 03-support-newer-exporter-toolkit.patch
  * Convert patches to gbp-pq format
  * Add new Revert-kingpin-import-path.patch
  * debian/default: remove DATA_SOURCE_NAME environment variable hint (no
    longer supported by upstream)
  * debian/rules: add test_exporter.cnf to DH_INSTALL_EXTRA

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 22 Jul 2023 19:34:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-mysqld-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -11,6 +12,7 @@
                golang-github-data-dog-go-sqlmock-dev,
                golang-github-go-kit-log-dev,
                golang-github-go-sql-driver-mysql-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DH_GOLANG_INSTALL_EXTRA := test_exporter.cnf
 
 BUILDDIR := build
 METAPKG := github.com/prometheus/common
@@ -29,7 +31,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/mysqld_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/mysqld_exporter $(BUILDDIR)/bin/$(BINNAME)
 	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
@@ -39,5 +41,4 @@
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_install:
-	dh_install $(BUILDDIR)/bin/$(BINNAME) usr/bin
-	dh_installman $(BUILDDIR)/$(BINNAME).1
+	dh_auto_install -- --no-source

## prometheus-mysqld-exporter 0.15.1

=== debian/changelog ===
prometheus-mysqld-exporter (0.15.1-2) unstable; urgency=medium

  * Team upload
  * Add new 0004-Support-prometheus-exporter-toolkit-v0.12.0.patch
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.12.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 19 Sep 2024 17:47:47 +0000

prometheus-mysqld-exporter (0.15.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:30:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-mysqld-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -14,14 +13,14 @@
                golang-github-go-sql-driver-mysql-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.12.0),
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter

## prometheus-mysqld-exporter 0.16.0

=== debian/changelog ===
prometheus-mysqld-exporter (0.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop obsolete patches:
    - 0001-Skip-test-which-requires-a-running-mysqld.patch (test removed
      upstream)
    - 0003-Support-prometheus-common-v0.50.0.patch (implemented upstream)
    - 0004-Support-prometheus-exporter-toolkit-v0.12.0.patch (applied
      upstream)
  * Bump Standards-Version to 4.7.0 (no changes)
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package
  * Add new Build-Depends golang-github-blang-semver-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Nov 2024 18:54:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.21~),
+               golang-github-blang-semver-dev,
                golang-github-data-dog-go-sqlmock-dev,
-               golang-github-go-kit-log-dev,
                golang-github-go-sql-driver-mysql-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
@@ -20,7 +20,7 @@
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter

## prometheus-mysqld-exporter 0.17.1

=== debian/changelog ===
prometheus-mysqld-exporter (0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 4.7.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 23 Feb 2025 02:40:18 +0000

prometheus-mysqld-exporter (0.16.0-2) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Add new 0003-Support-prometheus-exporter-toolkit-v0.14.0.patch (Closes:
    #1096211)
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.14.0)

  [ Martina Ferrari ]
  * Sort scrapers for reproducible behaviour

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Feb 2025 12:40:07 +0000

## prometheus-mysqld-exporter 0.17.2

=== debian/changelog ===
prometheus-mysqld-exporter (0.17.2-1deepin1) unstable; urgency=medium

  * 0002-Sort-scrapers-for-reproducible-behaviour.patch:
    slices.SortedFunc and maps.Keys are added in go1.23.0. Backport the patch
    to go1.22.0

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 24 Apr 2025 10:21:32 +0800

prometheus-mysqld-exporter (0.17.2-1) unstable; urgency=medium

  * Team upload
  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 15:50:21 +0000

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.12.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.14.0),
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mysqld-exporter.git
 Homepage: https://github.com/prometheus/mysqld_exporter

## prometheus-mysqld-exporter 0.18.0

=== debian/changelog ===
prometheus-mysqld-exporter (0.18.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop obsolete 0003-Support-prometheus-exporter-toolkit-v0.14.0.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Jan 2026 12:03:37 +0000
